<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require_once __DIR__ . '/PHPMailer/src/Exception.php';
require_once __DIR__ . '/PHPMailer/src/PHPMailer.php';
require_once __DIR__ . '/PHPMailer/src/SMTP.php';

function enviarTokenRecuperacion($email, $token) {
    $mail = new PHPMailer(true);
    try {
        //servidor gmail
        //$mail->isSMTP();
        //$mail->Host       = 'smtp.gmail.com';
        //$mail->SMTPAuth   = true;
        //$mail->Username   = 'siapol.soporte@gmail.com';
        //$mail->Password   = 'crzc pwdc dmpr tisw';
        //$mail->SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS;
        //$mail->Port       = 587;

        //servidor web
        $mail->isSMTP();
        $mail->Host       = 'mail.ascensofacil.com';        // O el que te dé el hosting
        $mail->SMTPAuth   = true;
        $mail->Username   = 'soporte@ascensofacil.com';      // Tu nuevo correo corporativo
        $mail->Password   = '3DS0NCH4115H4CK3R+';           // Contraseña del correo
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS;  // O PHPMailer::ENCRYPTION_SMTPS si es SSL
        $mail->Port       = 587;                       // O 465 si usas SSL

        $mail->setFrom('soporte@ascensofacil.com', 'Simulador AscensoFacil');

        
        //$mail->setFrom('siapol.soporte@gmail.com', 'Simulador SIAPOL');
        $mail->addAddress($email);

        $mail->isHTML(true);
        $mail->Subject = 'Codigo de recuperacion de contrasena';
        $mail->Body    = "
            <h3>Recuperación de contraseña AscensoFacil</h3>
            <p>Tu código de verificación es:</p>
            <h2 style='color:#007bff;'>$token</h2>
            <p>Utilízalo para continuar con la recuperación de tu cuenta.</p>
        ";
        $mail->AltBody = "Tu código de recuperación es: $token";

        $mail->send();
        return true;
    } catch (Exception $e) {
        return false;
    }
}
